<?php
include_once ("c_tabel.php") ;
class c_page_cab_tabel_editor extends c_page_cab_tabel
{
 public $h1='Редактор табеля смен' ;

 function block_main()
 { $this->page_title() ;
   if (!$this->cmd_exec_result['no_default_panel']) $this->panel_upload_promt() ;
 }

 function panel_upload_promt()
 { ?><div id="panel_upload_promt"><form action="" method="POST" enctype="multipart/form-data"><input type="hidden" name="cmd" value="upload_file">
      <p>Загрузите табель смен, используя заранее подготовленный файл Excel. <a href="/docs/tabel.xls">Образец файла</a><p>
      <p><strong>Внимание!</strong><p>
      <ul class="info">
          <li>Записи из файла будут добавлены к существующим записям базы</li>
          <li>При совпадении дат табеля с записями в базе, последние будут затерты.</li>
      </ul>
      <div class=comment>Размер файла не более 1М, формат файла - Excel XLS.</div>

      <div class=buttons><input name="upload_file[]" type="file" size="50"><input type="submit" value="Загрузить файл" class=button_green></div>
     </form></div><?
 }

 function CMD_upload_file()
  {
    if (_sizeof($_FILES))
    { $recs_files=conver_FILES_to_recs($_FILES['upload_file']) ;
      if (_sizeof($recs_files[0]))
        { if ($recs_files[0]['type']=='application/vnd.ms-excel')
          { ?><h2>Загружаем данные из файла "<?echo $recs_files[0]['name']?>"</h2><?
            $file_name=_DIR_TO_ROOT.'/tmp/tabel.xls' ;
            if (file_exists($file_name)) unlink($file_name) ;
            move_uploaded_file($recs_files[0]['tmp_name'],$file_name) ;
            list($arr_dates,$tabel)=ESMO()->upload_tabel_from_excel($file_name) ;
            // показываем табель на экране
            if (_sizeof($tabel)) print_template($tabel,'aspmo/list_tabel',array('dates'=>$arr_dates)) ;
            ?><div class="buttons"><button class="button_green v2" cmd="aspmo/save_last_upload_tabel" fn="<?echo $recs_files[0]['tmp_name']?>">Сохранить в базе</button><button  class="button_yellow v1" update_page="1">Отмена</button></div><?
            return(array('type'=>'success','no_default_panel'=>1)) ;
          }
          else return(array('type'=>'error','code'=>'failed_type','text'=>'Неверный тип файла. Загрузите файл в формате Excel.')) ;
        }
      else return(array('type'=>'error','code'=>'not_uploaded_file','text'=>'Не был выбран файл')) ;
    }
    else return(array('type'=>'error','code'=>'not_uploaded_file','text'=>'Не был выбран файл')) ;
  }

}



?>
